Description

All'installazione di fuss-server da iso collegandosi ad octonet non tutte le stringhe vengono tradotte. Andando in /usr/share/octonet e

dando:

python3 manage.py compilemessages

ottengo

CommandError: Can't find msgfmt. Make sure you have GNU gettext tools 0.15 or newer installed.

Installando il pacchetto gettext (
apt install gettext

), eseguendo nuovamente la compilazione e riavviando il demone di octonet il problema si risolve.

Associated revisions

Revision fe750d11 - 06/19/2017 09:37 AM - Christopher R. Gabriel
refs #313 - build gettext MOs at build time.

History

#1 - 06/19/2017 09:41 AM - Christopher R. Gabriel
- Subject changed from Traduzione stringhe incompleta to Compilazione file PO non eseguita per ogni release
- Status changed from Nuovo to Commenti

- Assignee set to Marco Marinello

Marco Marinello ha scritto:
All'installazione di fuss-server da iso collegandosi ad octonet non tutte le stringhe vengono tradotte. Andando in /usr/share/octonet e dando:
[--]
ottengo

(-]

Installando il pacchetto gettext ([...]), eseguendo nuovamente la compilazione e riavviando il demone di octonet il problema si risolve.

Il problema e' nella procedura di build del pacchetto. La compilazione dei file PO viene infatti fatta al momento di build del pacchetto, per evitare di
avere tool come gettext installati, tra le altre cose. Eseguire il compilemessages dentro in /usr/share/octonet e' da evitare, perche' vengono
sovrascritti file forniti dal pacchetto stesso, e puo' causare inconsistenze.
Ho pubblicato 0.2.12 che include nella procedura di build del pacchetto la compilazione dei PO file.

Grazie per la segnalazione.

#2 - 06/19/2017 01:18 PM - Marco Marinello

Ho testato velocemente su un server di prova ed il problema sembra essere risolto con lav. 0.2.12-1 .

#3 - 06/26/2017 09:08 AM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Bene, chiudo.

07/05/2025 22


http://www.tcpdf.org

